Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 588044 - www-client/firefox-45.2.0 - /usr/lib/gcc/hppa2.0-unknown-linux-gnu/4.9.3/include/g++-v4/bits/atomic_base.h:618: undefined reference to `__atomic_fetch_add_8'
Summary: www-client/firefox-45.2.0 - /usr/lib/gcc/hppa2.0-unknown-linux-gnu/4.9.3/incl...
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: HPPA Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: CVE-2016-2815, CVE-2016-2818, CVE-2016-2819, CVE-2016-2821, CVE-2016-2822, CVE-2016-2824, CVE-2016-2825, CVE-2016-2826, CVE-2016-2828, CVE-2016-2829, CVE-2016-2831, CVE-2016-2832, CVE-2016-2833, CVE-2016-2834
  Show dependency tree
 
Reported: 2016-07-05 06:47 UTC by Jeroen Roovers
Modified: 2016-08-07 23:23 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
www-client:firefox-45.2.0:20160704-074500.log.xz (www-client:firefox-45.2.0:20160704-074500.log.xz,126.51 KB, application/x-xz)
2016-07-05 06:47 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2016-07-05 06:47:13 UTC
Created attachment 439740 [details]
www-client:firefox-45.2.0:20160704-074500.log.xz

../../netwerk/protocol/websocket/Unified_cpp_protocol_websocket0.o: In function `std::__atomic_base<unsigned long long>::fetch_add(unsigned long long, std::mem
ory_order)':
/usr/lib/gcc/hppa2.0-unknown-linux-gnu/4.9.3/include/g++-v4/bits/atomic_base.h:618: undefined reference to `__atomic_fetch_add_8'

Tue  5 Jul 08:45:41 CEST 2016
emerge --info www-client/firefox
Portage 2.2.28 (python 2.7.10-final-0, default/linux/hppa/13.0, gcc-4.9.3, glibc-2.22-r4, 4.6.0-gentoo-JeR parisc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.6.0-gentoo-JeR-parisc64-PA8800_-Mako-with-gentoo-2.2
KiB Mem:     8231020 total,   4524176 free
KiB Swap:    2101676 total,   2079996 free
Timestamp of repository gentoo: Tue, 05 Jul 2016 02:30:01 +0000
sh bash 4.3_p42-r1
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
distcc 3.2rc1 hppa2.0-unknown-linux-gnu [enabled]
ccache version 3.2.4 [disabled]
app-shells/bash:          4.3_p42-r1::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.2.5-r6::gentoo, 3.3.5-r3::gentoo, 3.4.3-r1::gentoo, 3.5.0-r1::gentoo
dev-util/ccache:          3.2.4::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.19.1::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.9.6-r3::gentoo, 1.11.6-r1::gentoo, 1.12.6::gentoo, 1.13.4::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.22-r1::gentoo, 2.23.1::gentoo, 2.23.2::gentoo, 2.24-r3::gentoo, 2.25.1-r1::gentoo
sys-devel/gcc:            4.6.4::gentoo, 4.7.2-r1::gentoo, 4.7.3-r1::gentoo, 4.8.1-r1::gentoo, 4.8.3::gentoo, 4.8.4::gentoo, 4.8.5::gentoo, 4.9.2::gentoo, 4.9.3::gentoo, 5.2.0::gentoo, 5.3.0::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /aches/gentoo/portage
    sync-type: rsync
    sync-uri: rsync://rsync.nl.gentoo.org/gentoo-portage
    priority: -1000

JeR
    location: /aches/gentoo/local
    masters: gentoo
    priority: -100

ACCEPT_KEYWORDS="hppa"
ACCEPT_LICENSE="*"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe -Wno-comment"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib/distcc/bin /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/apache2-php5.6/ext-active/ /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cgi-php5.6/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/php/cli-php5.6/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
DISTDIR="/aches/gentoo/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build=n --autounmask=n --keep-going"
FCFLAGS=""
FEATURES="assume-digests binpkg-logs buildpkg compressdebug config-protect-if-modified distcc distlocks ebuild-locks fixlafiles merge-sync metadata-transfer news notitles parallel-fetch preserve-libs protect-owned sfperms splitdebug strict test test-fail-continue unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersync xattr"
FFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -O2 -pipe"
GENTOO_MIRRORS="http://de-mirror.org/gentoo/ http://mirror.netcologne.de/gentoo/ http://mirror.leaseweb.com/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -Wl,--no-keep-memory"
MAKEOPTS="-j3"
PKGDIR="/aches/gentoo/packages/karsten"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="256-color X acl alsa amr anacron apng argyllcms audit bash-completion beautifulsoup3 berkdb bfio bittorrent botan bzip2 cairo canberra cli consolekit coverage cracklib crossdev crypt cups custom-cflags cxx dane dbus declarative dirac directfb distinct-l dlz doc dot dri emacs exceptions exif expat fbcon ffmpeg filecaps firefox firmware foomaticdb fortran frontend-optional g-sorcery gbm gdbm geoip geoloc glep gles1 gles2 gost gpg gpm gsm gstreamer gtk gudev guile hddtemp hppa hwdb iconv idn imlib inotify ipv6 jadetex javascript jingle jit jpeg jpeg2k json kdrive kmod ladspa lasi launch-frontend lensfun libcaca libcanberra libevent libopts libsoxr libusb libwww lua lzma lzo mad mng mod modplug modules mp3 multislot multitarget munge nagios nas natspec ncurses netlink nfs nls nptl objc objc++ objc-gc offensive ofono-headset openexr opengl openmp openrc openvg opus oqgraph osmesa oss pam pcre pcre16 php pic pkcs11 png pnm policykit python qt qt3support qt4 raw readline realtime regression-test rtmp rubytests samba sbc schroedinger sctp session smi snappy socks5 speex spell spidermonkey sqlite ssl svg tcl tcpd test tga theora threads tiff tk tokyocabinet truetype unicode unwind v4l vim-syntax vorbis vpx wayland wcwidth x264 x265 xa xattr xcb xft xhtml xkb xml2 xvfb xvid zlib" ALSA_CARDS="ad1889 usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CURL_SSL="nss" DRACUT_MODULES="nfs syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa tek4957 tslib ur98 void" KERNEL="linux" L10N="en nl he" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en nl he" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="stifb dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.4 3.5"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

www-client/firefox-38.8.0::gentoo was built with the following:
USE="custom-cflags dbus gmp-autoupdate gstreamer jemalloc3 minimal pulseaudio startup-notification system-jpeg system-sqlite test -bindist -custom-optimization -debug -egl -gstreamer-0 -hardened -jit (-neon) (-pgo) (-selinux) (-system-cairo) -system-icu -system-libvpx (-wifi)" LINGUAS="he nl -af -ar -as -ast -be -bg -bn_BD -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -hi_IN -hr -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -nb_NO -nn_NO -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -te -th -tr -uk -vi -xh -zh_CN -zh_TW"
CFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe -Wno-comment"
CXXFLAGS="-mschedule=8000 -march=2.0 -ggdb -Wall -pipe"

[ebuild     U ~] www-client/firefox-45.2.0::gentoo [38.8.0::gentoo] USE="custom-cflags dbus ffmpeg%* gmp-autoupdate gstreamer gtk3%* hwaccel%* jemalloc3 pulseaudio startup-notification system-jpeg system-sqlite {test} -bindist -custom-optimization -debug -gstreamer-0 -hardened -jit (-neon) (-pgo) (-selinux) (-system-cairo) -system-harfbuzz% -system-icu -system-libevent% -system-libvpx (-wifi) (-egl%) (-minimal%*)" LINGUAS="he nl -ach% -af -an% -ar -as -ast -az% -be -bg -bn_BD -bn_IN -br -bs -ca -cs -cy -da -de -el -en_GB -en_ZA -eo -es_AR -es_CL -es_ES -es_MX -et -eu -fa -fi -fr -fy_NL -ga_IE -gd -gl -gu_IN -hi_IN -hr -hsb% -hu -hy_AM -id -is -it -ja -kk -km -kn -ko -lt -lv -mai -mk -ml -mr -ms% -nb_NO -nn_NO -or -pa_IN -pl -pt_BR -pt_PT -rm -ro -ru -si -sk -sl -son -sq -sr -sv_SE -ta -te -th -tr -uk -uz% -vi -xh -zh_CN -zh_TW" 0 KiB
Comment 1 Ian Stakenvicius gentoo-dev 2016-07-05 14:16:59 UTC
Is this a regression over 45.1?  I didn't think the headers for spidermonkey's atomics changed any between 45.1 and 45.2..
Comment 2 Jeroen Roovers gentoo-dev 2016-07-05 14:29:19 UTC
(In reply to Ian Stakenvicius from comment #1)
> Is this a regression over 45.1?

I don't see a 45.1 ebuild and I never tried one on HPPA.
Comment 3 Ian Stakenvicius gentoo-dev 2016-07-05 14:39:12 UTC
RIGHT..  I forgot that this is the first 45.x series that received a stablereq.

OK, so FYI upstream starting with 44.0 or so have essentially made jit a hard requirement -- the only way to build "working" code with it disabled is if all of the atomic operations are implemented for each platform.  If jit works, then upstream already contains such code (which means amd64/x86/arm/arm64 are covered), and ppc/ppc64 do not have jit but do have workaround implementations in place.  The rest (hppa, ia64, alpha, etc) need implementations.

Given this is a non-trivial amount of work we may need to drop keywords on hppa and the other arches until someone with the time/energy/massochistic desire can implement the atomic ops.  :/
Comment 4 Jeroen Roovers gentoo-dev 2016-07-05 15:26:51 UTC
Dropped HPPA keywording entirely.
Comment 5 Arfrever Frehtes Taifersar Arahesis 2016-08-07 23:23:48 UTC
~hppa keyword re-appeared in www-client/firefox-48.0 :) .